<?php
/*************************************************************************/
/* Smart Extranet  2004-2010. All right reserved.www.smart-extranet.com */
/*************************************************************************/


//ini_set('error_reporting', E_ALL);
ini_set('error_reporting', E_COMPILE_ERROR|E_ERROR|E_CORE_ERROR);
session_start();

#smarty
require '_php/smarty/libs/Smarty.class.php';

#realpath of www directory
$www_path = str_replace("\\", '/', realpath("../"));

#smarty settings
$smarty = new Smarty;

$smarty->compile_check = true;
$smarty->debugging = false;

$smarty->compile_dir = "_cache/";
$smarty->template_dir = "_templates/";

$DL = true;
$smarty->assign('DL', $DL);

#nb char title doc
$nb_char_title = 50;

#init error message
$error_message = '';
include("_config/config.inc.php");
include("_config/obconfig.inc.php");
include("_lang/lang.inc.php");
include("_include/connect.inc.php");
include("_include/functions.inc.php");
include("_include/error.inc.php");
include("_include/extranet_data.inc.php");
$smarty->assign("URL_EXTRANET",$ext_name_enc);

#assign variables
	$smarty->assign('additional_user_rights', $ADDITIONAL_USER_RIGHTS);
	$smarty->assign('additional_user_rights_label', $ADDITIONAL_USER_RIGHTS_LABEL);
	$smarty->assign('user_comments_config', $USER_COMMENTS);
	$smarty->assign('company', $COMPANY_NAME);
	$smarty->assign('print_banner', $PRINT_BANNER);
	$smarty->assign('LICENCE_USE', $NB_INSTALL);

#user
if($_REQUEST["cu_u"])
{
	$endtime =  base_convert($_REQUEST["delta"], 16, 10);
	if($endtime != 9999999)
	{
		if($endtime < time())
		{
				$smarty->assign('message', $_0100792_link_expire);
				$smarty->assign('ext_logo', $ext_logo);	
				$smarty->assign('ext_logo_file', $ext_logo_file);	
				$smarty->assign('ext_logo_bdcolor', $ext_logo_bdcolor);	
				$smarty->assign('ext_logo_bdsize', $ext_logo_bdsize);	
				$smarty->assign('ext_logo_bgcolor', $ext_logo_bgcolor);	
				$smarty->assign('ext_logo_print', $ext_logo_print);	
				$img_pad = get_option("img_pad");
				$back_img_pad = get_option("back_img_pad");
				$back_color_pad = get_option("back_color_pad");
				$superimposed_img_pad = get_option("superimposed_img_pad");
				$smarty->assign('img_pad', $img_pad);
				$smarty->assign('back_img_pad', $back_img_pad);
				$smarty->assign('back_color_pad', $back_color_pad);
				$smarty->assign('superimposed_img_pad', $superimposed_img_pad);
					$smarty->display('error.tpl');
				exit;
		}
	}
	if (dlookup("count(*)","smart_document","unik='".$_REQUEST["cu_d"]."'") == 0)
	{
		$smarty->assign('message', $_0100791_doc_delete);
		$smarty->assign('ext_logo', $ext_logo);	
		$smarty->assign('ext_logo_file', $ext_logo_file);	
		$smarty->assign('ext_logo_bdcolor', $ext_logo_bdcolor);	
		$smarty->assign('ext_logo_bdsize', $ext_logo_bdsize);	
		$smarty->assign('ext_logo_bgcolor', $ext_logo_bgcolor);	
		$smarty->assign('ext_logo_print', $ext_logo_print);	
		$img_pad = get_option("img_pad");
		$back_img_pad = get_option("back_img_pad");
		$back_color_pad = get_option("back_color_pad");
		$superimposed_img_pad = get_option("superimposed_img_pad");
		$smarty->assign('img_pad', $img_pad);
		$smarty->assign('back_img_pad', $back_img_pad);
		$smarty->assign('back_color_pad', $back_color_pad);
		$smarty->assign('superimposed_img_pad', $superimposed_img_pad);
		$smarty->display('error.tpl');
		exit;	
	}
	$id_unik = dlookup("id","smart_user","unik='".$_REQUEST["cu_u"]."'");
	if(isset($_SESSION["password"]) == true && ($id_unik == $_SESSION['user_id']))
	{
		$code_unik_user = $_REQUEST["cu_u"];
		$smarty->assign('cu_u', $code_unik_user);
	}
	else
	{
		unset($_SESSION["user"]);
		unset($_SESSION["user_id"]);
		unset($_SESSION["rights"]);
		unset($_SESSION["user_comments_right"]);
		$code_unik_user = $_REQUEST["cu_u"];
		$smarty->assign('cu_u', $code_unik_user);
		$_SESSION['user'] = dlookup("email","smart_user","unik='".$code_unik_user."'");
		$_SESSION['user_id'] = dlookup("id","smart_user","unik='".$code_unik_user."'");
		$_SESSION['rights'] = dlookup("rights","smart_user","unik='".$code_unik_user."'");
		$_SESSION['profil'] = dlookup("profil","smart_user","unik='".$code_unik_user."'");
		$_SESSION['user_name'] = dlookup("title","smart_user","unik='".$code_unik_user."'") . " " . dlookup("first_name","smart_user","unik='".$code_unik_user."'") . " " . dlookup("last_name","smart_user","unik='".$code_unik_user."'");
		if (trim(dlookup("company","smart_user","unik='".$code_unik_user."'")) != ""){
			$_SESSION['user_name'] .= " (" . dlookup("company","smart_user","unik='".$code_unik_user."'") . ")";
		}
		if (($_SESSION['rights'] == 'simple_user') || ($_SESSION['rights'] == 'simple_user_plus')){
			$_SESSION['user_comments_right'] = dlookup("user_comments","smart_user","unik='".$code_unik_user."'");
			$_SESSION['user_add_doc_right'] = dlookup("user_add_doc","smart_user","unik='".$code_unik_user."'");
		}
		if (($_SESSION['rights'] == 'limited_admin') || ($_SESSION['rights'] == 'super_admin')){
			$_SESSION['user_add_doc'] = "1";
			$_SESSION['user_comments_right'] = "1";
		}
	}
}

$smarty->assign('user_comments_right',$_SESSION["user_comments_right"]);


#Sender
if($_REQUEST["sender"])
{
	$sender_id = $_REQUEST["sender"];
	$sender = dlookup("title","smart_user","id=".$sender_id) . " " . dlookup("first_name","smart_user","id=".$sender_id) . " " . dlookup("last_name","smart_user","id=".$sender_id);
		if (trim(dlookup("company","smart_user","id=".$sender_id)) != ""){
			$sender .= " (" . dlookup("company","smart_user","id=".$sender_id) . ")";
		}
$smarty->assign('sender',utf8_decode($sender));

}
#test image
if ($_REQUEST["thumb"] AND $_REQUEST["cud"])
{
	if (dlookup("count(*)","smart_document","unik='".$_REQUEST["cud"]."' and id = ".$_REQUEST["thumb"]) > 0)
	{
		header("Content-type: image/jpeg");
		echo file_get_contents($WWW_SECURITY."storage/".$ext_id."/thumbs/thumb_".$_REQUEST["thumb"].".jpg");
	}
}

if ($_REQUEST["photo"] AND $_REQUEST["cud"])
	{
		if (dlookup("count(*)","smart_document","unik='".$_REQUEST["cud"]."' and id = ".$_REQUEST["photo"]) > 0)
			{
				header("Content-type: image/jpeg");
				echo file_get_contents($WWW_SECURITY."storage/".$ext_id."/thumbs/photo_".$_REQUEST["photo"].".jpg");
			}
	}
	
if ($_REQUEST["flash"] AND $_REQUEST["cud"])
{
	if (dlookup("count(*)","smart_document","unik='".$_REQUEST["cud"]."' and id = ".$_REQUEST["flash"]) > 0)
		{
			$flash = $_REQUEST["flash"];
			header('Content-type: application/x-shockwave-flash');
			$affiche_swf=readfile($WWW_SECURITY."storage/".$ext_id."/".$_REQUEST["flash"]);
			echo $affiche_swf;
			exit;
		}
}


#assign extranet id, name, title
$smarty->assign('ext_title', $ext_title);
$smarty->assign('ext_name', $ext_name);
$smarty->assign('ext_name_enc', $ext_name_enc);
$smarty->assign('ext_status', $ext_status);
$smarty->assign('ext_id', $ext_id);
//$smarty->assign('ext_storage', test_dir($ext_id));
$smarty->assign('ext_banner_file', $ext_banner_file);
//$smarty->assign('ext_capacity', extranet_capacity($ext_id));

$smarty->display('header.tpl');
$smarty->display('extranets/direct_link.tpl');

	   
#banner, company name, Extranet title
include("_php/banner.php");

if ($_GET["f_id"])
{
$doc_id = $_GET["f_id"];
$code_unik_doc = $_REQUEST["cu_d"];	

$smarty->assign('cu_d', $code_unik_doc);	

$extranet_id = dlookup("extranet_id","smart_document","id=".$doc_id);
$extranet_name = dlookup("name","smart_extranet","id=".$extranet_id);
$smarty->assign('extranet_name', $extranet_name);	
#content of parent directory

include("focus.php");		
	
}




$smarty->display('footer.tpl');



?>
